clang 8.0.0

Public Member Functions | List of all members
clang::CodeGen::ApplyInlineDebugLocation Class Reference

A scoped helper to set the current debug location to an inlined location. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CGDebugInfo.h"`

## Public Member Functions
| ApplyInlineDebugLocation (CodeGenFunction &CGF, GlobalDecl InlinedFn)
| Set up the CodeGenFunction's DebugInfo to produce inline locations for the function `InlinedFn`. More...
| ~ApplyInlineDebugLocation ()
| Restore everything back to the original state. More...

## Detailed Description

A scoped helper to set the current debug location to an inlined location.

Definition at line 738 of file CGDebugInfo.h.

## Constructor & Destructor Documentation

## ◆ ApplyInlineDebugLocation()

ApplyInlineDebugLocation::ApplyInlineDebugLocation | ( | CodeGenFunction & | CGF,
|  | GlobalDecl | InlinedFn
| ) |  |

Set up the CodeGenFunction's DebugInfo to produce inline locations for the function `InlinedFn`.

The current debug location becomes the inlined call site of the inlined function.

Definition at line 144 of file CGDebugInfo.cpp.

References clang::CodeGen::CodeGenFunction::Builder, and clang::CodeGen::CodeGenFunction::getDebugInfo().

## ◆ ~ApplyInlineDebugLocation()

ApplyInlineDebugLocation::~ApplyInlineDebugLocation | ( |  | ) |

Restore everything back to the original state.

Definition at line 160 of file CGDebugInfo.cpp.

References clang::CodeGen::CodeGenFunction::Builder, clang::CodeGen::CGDebugInfo::EmitInlineFunctionEnd(), and clang::CodeGen::CodeGenFunction::getDebugInfo().

The documentation for this class was generated from the following files:

- lib/CodeGen/CGDebugInfo.h
- lib/CodeGen/CGDebugInfo.cpp